// PropPage_VC7Settings.h : header file
//
#if !defined(_PROPPAGE_VC7SETTINGS_H_)
#define _PROPPAGE_VC7SETTINGS_H_

#include "CfgComboBox.h"

class CXmlProjectSettings_VC7;

/////////////////////////////////////////////////////////////////////////////
// CPropPage_VC7Settings dialog

class CPropPage_VC7Settings : public CPropertyPage
{
	DECLARE_DYNCREATE(CPropPage_VC7Settings)

// Construction
public:
	CPropPage_VC7Settings();
	~CPropPage_VC7Settings();

// Dialog Data
	//{{AFX_DATA(CPropPage_VC7Settings)
	enum { IDD = IDD_PROPERTY_VC7 };
	CStatic	lblResourceOffset_;
	CEdit	txtResourceOffset_;
	CButton	cmdBrowsePath2_;
	CEdit	txtPostBuildPath_;
	CEdit	txtFolders_;
	CButton	chkEnableCpp_;
	CEdit	txtGenerationPath_;
	CButton	cmdReset_;
	CButton	cmdBrowsePath_;
	CEdit	txtClassPrefix_;
	CButton	chkGenerateTestProject_;
	CButton	chkGenerateGui_;
	CButton	chkDeleteOldFiles_;
	//}}AFX_DATA

	virtual void SetData(CXmlProjectSettings_VC7* vc7Settings);
	virtual void StoreData();

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPropPage_VC7Settings)
	public:
	virtual BOOL OnApply();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPropPage_VC7Settings)
	virtual BOOL OnInitDialog();
	afx_msg void OnCmdBrowsePath();
	afx_msg void OnChkGenerateTestProject();
	afx_msg void OnChkGenerateGuiClasses();
	afx_msg void OnChkDeletePreviouslyGeneratedFiles();
	afx_msg void OnChangeGenerationPath();
	afx_msg void OnChangeClassPrefix();
	afx_msg void OnChkEnable();
	afx_msg void OnCmdBrowsePath2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();
	
	void DisplaySettings();
	void UpdateControlsEnable();
	void UpdateFoldersDescription();

	CXmlProjectSettings_VC7* vc7Settings_;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_PROPPAGE_VC7SETTINGS_H_)
